org.jfree.xml.generator.model

## Class PropertyType

- java.lang.Object
- - org.jfree.xml.generator.model.PropertyType

-     public final class PropertyType
      extends java.lang.Object

  An enumeration over the defined property types.

  Attribute types are mapped into xml attributes - this is used for primitive data or enumeration classes.

  Element types are used to define complex classes, a new xml tag will be introduced for every element type.

  The lookup properties are defined elsewhere and are referenced using the defined name during the class building process.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyType` | `ATTRIBUTE` A property that is described using an attribute in the XML.
    `static PropertyType` | `ELEMENT` A property that is described using an XML element.
    `static PropertyType` | `LOOKUP` A property that is...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns a string representing the type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ATTRIBUTE

          public static final PropertyType ATTRIBUTE

      A property that is described using an attribute in the XML.

    - #### ELEMENT

          public static final PropertyType ELEMENT

      A property that is described using an XML element.

    - #### LOOKUP

          public static final PropertyType LOOKUP

      A property that is...

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representing the type.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string.